[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# EDaemon

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception used in all daemon application code

## Declaration

Source position: daemonapp.pp line 384

`type EDaemon = class(Exception) end;`

## Inheritance

`EDaemon` |  | Exception used in all daemon application code
`Exception`
`TObject`

## Description

EDaemon is the exception class used by all code in the DaemonApp unit.

## See also

DaemonError |  | Raise an EDaemon exception

The latest version of this document can be found at lazarus-ccr.sourceforge.net.